Work Order Management API
The Work Order Management API provides endpoints to create, update, and retrieve work orders.
This API is included in the Telecommunication Open APIs application, which is available on the ServiceNow Store.
This API is provided within the sn_tmf_api namespace.
The calling user must have the sn_tmf_api.work_order_integrator role.
The Work Order Management API is a ServiceNow implementation of the TM Forum Work Order Management API REST specification. This implementation is based on the TMF697 Work Order Management API v5.0.
Work Order Management - GET /sn_tmf_api/work_order_management_api/workorder/{id}
Retrieves a specified work order from the Work Order [wm_order] table.
URL format
Versioned URL: /api/sn_tmf_api/{api_version}/work_order_management_api/workorder/{id}
Default URL: /api/sn_tmf_api/work_order_management_api/workorder/{id}
Supported request parameters
| Name | Description |
|---|---|
| api_version | Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the
latest.
Data type: String |
| id | Sys_id or external_id of the work order. Table: Work Order [wm_order] Data type: String |
| Name | Description |
|---|---|
| fields | List of fields to return in the response. Invalid fields are ignored. Valid values:
Default: Returns all fields. Data type: String |
| Name | Description |
|---|---|
| None |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response body. Only supports application/json. |
| Header | Description |
|---|---|
| Content-Type | Data format of the response body. Only supports application/json. |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| Status code | Description |
|---|---|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 404 | Not found. The requested item wasn't found. |
Response body parameters (JSON)
| Name | Description |
|---|---|
| category | Category for the work order that can be used by an order management system, such as enterprise or residential.Data type: String |
| shortDescription | Brief summary of the work order. Data type: String |
| startDate | Date and time when the order started. Data type: String |
| requestedCompletionDate | Requested completion date and time. Data type: String |
| href | Relative link to the work order record. Data type: String |
| requestedStartDate | Order fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date. Data type: String |
| priority | Priority ranking for the work order. Possible values:
Data type: String |
| state | State of the work order. Possible values:
Data type: String |
| initiatedFrom | Reference id indicating where the work order was initiated. Data type: String |
| completionDate | Date and time the work order was completed. Data type: String |
| expectedCompletionDate | Expected completion date and time designated by the provider. Data type: String |
| description | Description of the work order. Data type: String |
| workOrderNumber | Unique identifier for the work order, such as WO0008004. Table: Work Order [wm_order] Field: Number Data type: String |
| id | Sys_id of the work order. Table: Work Order [wm_order] Data type: String |
| @type | This value is always WorkOrder.Data type: String |
| place | The geographic location associated with the work order. Data type: Object |
| place.@type | This value is always GeographicSite.Data type: String |
| place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| place.relatedParty | List of support groups for the location. Data type: Array |
| place.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| place.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| place.relatedParty.name | Name of the support group. Data type: String |
| place.relatedParty.role | Role of the support group. Data type: String |
| relatedParty | List of associated contacts for the work order. Data type: Array |
| relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| relatedParty.id | Sys_id of the related party. Table: Account [customer_account], Company [core_company], or User [sys_user] Data type: String |
| relatedParty.name | Name of the related party. Data type: String |
| relatedParty.role | Role of the related party. Possible values:
Data type: String |
| relatedProductOrder | List of product orders for the work order. Data type: Array |
| relatedProductOrder.@type | This value is always ProductOrderRef.Data type: String |
| relatedProductOrder.id | Sys_id of the product order. Table: Product Order [sn_ind_tmt_orm_product_order] Data type: String |
| externalIdentifier | List of external references such as vendor or correlation ID. Data type: Array |
| externalIdentifier.@type | This value is always ExternalIdentifierRef.Data type: String |
| externalIdentifier.id | External reference such as vendor or correlation ID. Data type: String |
| workOrderItem | List of tasks under the work order. Data type: Array |
| workOrderItem.@type | This value is always WorkOrderItem.Data type: String |
| workOrderItem.description | Description of the task. Data type: String |
| workOrderItem.id | Sys_id of the task. Table: Work Order Task [wm_task] Data type: String |
| workOrderItem.shortDescription | Short description of the task. Data type: String |
| workOrderItem.state | State of the task. Data type: String |
| workOrderItem.work | Description of the work required for the task. Data type: Object |
| workOrderItem.work.@type | This value is always WorkRefOrValue.Data type: String |
| workOrderItem.work.expectedCompletionDate | Expected completion date for the task. Data type: String |
| workOrderItem.work.id | Sys_id of the work type for the task. Table: Work Type [wm_work_type] Data type: String |
| workOrderItem.work.place | List of geographic locations associated with the task. |
| workOrderItem.work.place.@type | This value is always RelatedPlaceRefOrValue.Data type: String |
| workOrderItem.work.place.place | Details about the location. Data type: Object |
| workOrderItem.work.place.place.@type | This value is always GeographicSite.Data type: String |
| workOrderItem.work.place.place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| workOrderItem.work.place.role | Role of this location in the context of the task. Data type: String |
| workOrderItem.work.relatedParty | List of support groups for the task. Data type: Array |
| workOrderItem.work.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| workOrderItem.work.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.relatedParty.name | Name of the support group. Data type: String |
| workOrderItem.work.relatedParty.role | Role of the support group. Data type: String |
| workOrderItem.work.relatedWork | List of related work order tasks. Data type: Array |
| workOrderItem.work.relatedWork.@type | This value is always WorkRefOrValue.Data type: String |
| workOrderItem.work.relatedWork.id | Sys_id of the related task. Table: Work Order Task [wm_task] Data type: String |
| workOrderItem.work.scheduledStartDate | Scheduled start date for the task. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment | Assignment details for the task. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.@type | This value is always WorkforceEmployeeAssignment.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.id | Sys_id of the group assigned to the task. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee | Details about the employee assigned to the task. Data type: Object |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type | This value is always Individual.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium | List of the employee's phone numbers. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type | This value is always PhoneContactMedium.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber | Phone number for the employee. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id | Sys_id of the employee. Table: User [sys_user] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name | Name of the employee. Data type: String |
| workOrderItem.work.workPriority | Priority ranking for the task. Possible values:
Data type: String |
| workOrderItem.work.workType | The work type for the task. Table: Work Type [wm_work_type] Field: Name Data type: String |
| workOrderRelationship | List of task relationships to the work order. Data type: Array |
| workOrderRelationship.@type | This value is always OrderRelationship.Data type: String |
| workOrderRelationship.id | Sys_id of the task relationship. Table: Task Relationship [task_rel_task] Data type: String |
| workOrderRelationship.relationshipType | Task relationship type. Data type: String |
| note | List of notes about the order. Data type: Array |
| note.@type | This value is always Note.Data type: String |
| note.author | Author of the note. Data type: String |
| note.date | Date the note was added to the work order. Data type: String |
| note.text | The note text. Data type: String |
cURL request
Retrieves the specified work order.
curl "https://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workorder/27e756a1df113100dca6a5f59bf263da" \
--request GET \
--header "Accept:application/json" \
--user 'username':'password'
Response body.
{
"@type": "WorkOrder",
"href": "api/sn_tmf_api/workordermanagement/workorder/6d22c6f0ff0de650f8dfffffffffff98",
"workOrderNumber": "WO0008004",
"id": "6d22c6f0ff0de650f8dfffffffffff98",
"category": "test",
"shortDescription": "Test-Test",
"description": "Test",
"startDate": "",
"requestedCompletionDate": "2025-04-19 07:17:04",
"requestedStartDate": "",
"state": "Awaiting Qualification",
"priority": "4 - Low",
"initiatedFrom": "",
"completionDate": "",
"expectedCompletionDate": "",
"place": {
"@type": "GeographicSite",
"id": "920cf6ac73d423002728660c4cf6a799",
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "320ee92637232000158bbfc8bcbe5d40",
"name": "East Qualifiers",
"role": "QualificationGroup"
}
]
},
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "5408091a3b100300e81d47b334efc452",
"name": "Ashley Parker",
"role": "Contact"
},
{
"@type": "RelatedPartyRef",
"id": "",
"name": "",
"role": "Account"
},
{
"@type": "RelatedPartyRef",
"id": "",
"name": "",
"role": "Consumer"
},
{
"@type": "RelatedPartyRef",
"id": "820351a1c0a8018b67c73d51c074097c",
"name": "Acer",
"role": "Company"
}
],
"appointment": {},
"relatedProductOrder": [
{
"@type": "ProductOrderRef",
"id": "19f5456dff092a50f8dfffffffffff01"
},
{
"@type": "ProductOrderRef",
"id": "7116456dff092a50f8dfffffffffff6e"
}
],
"externalIdentifier": [
{
"@type": "ExternalIdentifierRef",
"id": "r6879"
}
],
"workOrderItem": [
{
"@type": "WorkOrderItem",
"id": "2fa566fdff456a50f8dfffffffffffc6",
"shortDescription": "abc",
"description": "",
"state": "Draft",
"work": {
"@type": "WorkRefOrValue",
"id": "2fa566fdff456a50f8dfffffffffffc6",
"workType": "",
"scheduledStartDate": "",
"expectedCompletionDate": "",
"workPriority": "4 - Low",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "25ab8dcd0a0a0bb300bd8a8899934d72"
}
}
],
"relatedWork": [
{
"@type": "WorkRefOrValue",
"id": "bb420af0ff0de650f8dfffffffffff4a"
},
{
"@type": "WorkRefOrValue",
"id": "c301e379ff096a50f8dfffffffffff43"
}
],
"relatedParty": [],
"workforceEmployeeAssignment": []
}
},
{
"@type": "WorkOrderItem",
"id": "bb420af0ff0de650f8dfffffffffff4a",
"shortDescription": "Test",
"description": "",
"state": "Draft",
"work": {
"@type": "WorkRefOrValue",
"id": "bb420af0ff0de650f8dfffffffffff4a",
"workType": "38f719ec3b8a10103f09080044efc4cd",
"scheduledStartDate": "",
"expectedCompletionDate": "",
"workPriority": "4 - Low",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "920cf6ac73d423002728660c4cf6a799"
}
}
],
"relatedWork": [
{
"@type": "WorkRefOrValue",
"id": "2fa566fdff456a50f8dfffffffffffc6"
},
{
"@type": "WorkRefOrValue",
"id": "c301e379ff096a50f8dfffffffffff43"
}
],
"relatedParty": [],
"workforceEmployeeAssignment": []
}
},
{
"@type": "WorkOrderItem",
"id": "c301e379ff096a50f8dfffffffffff43",
"shortDescription": "hi",
"description": "",
"state": "Draft",
"work": {
"@type": "WorkRefOrValue",
"id": "c301e379ff096a50f8dfffffffffff43",
"workType": "",
"scheduledStartDate": "",
"expectedCompletionDate": "",
"workPriority": "4 - Low",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "6808184aeb211100420124e05206fe12"
}
}
],
"relatedWork": [
{
"@type": "WorkRefOrValue",
"id": "2fa566fdff456a50f8dfffffffffffc6"
},
{
"@type": "WorkRefOrValue",
"id": "bb420af0ff0de650f8dfffffffffff4a"
}
],
"relatedParty": [],
"workforceEmployeeAssignment": []
}
}
],
"workOrderRelationship": [
{
"@type": "OrderRelationship",
"id": "02016b46ffcd6a50f8dfffffffffff31",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "0e016b46ffcd6a50f8dfffffffffff30",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "66da174eff8d6a50f8dfffffffffffda",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "aada174eff8d6a50f8dfffffffffffd9",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "bd20e706ffcd6a50f8dfffffffffffc6",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "c2016b46ffcd6a50f8dfffffffffff31",
"relationshipType": "Contains::Task of"
}
],
"note": [
{
"@type": "Note",
"author": "System Administrator",
"date": "2025-04-23",
"text": "This is a note."
}
]
}
Work Order Management - GET /sn_tmf_api/work_order_management_api/workordermanagement
Retrieves a list of all work orders from the Work Order [wm_order] table.
URL format
Versioned URL: /api/sn_tmf_api/{api_version}/work_order_management_api/workordermanagement
Default URL: /api/sn_tmf_api/work_order_management_api/workordermanagement
Supported request parameters
| Name | Description |
|---|---|
| api_version | Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the
latest.
Data type: String |
| Name | Description |
|---|---|
| fields | List of fields to return in the response. Invalid fields are ignored. Valid values:
Default: Returns all fields. Data type: String |
| id | Sys_ids to use to filter work orders. Only work orders matching the specified sys_ids are returned in the response. Table: Work Order [wm_order] Data type: String |
| limit | Maximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval. Default: 20 Data type: Number |
| offset | Starting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable
chunks. Default: 0 Data type: Number |
| Name | Description |
|---|---|
| None |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response body. Only supports application/json. |
| Header | Description |
|---|---|
| Content-Range | Range of content returned in a paginated call. For example, if |
| Content-Type | Data format of the response body. Only supports application/json. |
| Link | Contains the following links to navigate through query results.
|
| X-Total-Count | For paginated queries, this header specifies the total number of records available on the server. |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| Status code | Description |
|---|---|
| 200 | Successful. The request was successfully processed. |
| 206 | Partial content. The request was successfully processed and returned a partial range of content specified by a paginated call. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 404 | Not found. The requested item wasn't found. |
Response body parameters (JSON)
| Name | Description |
|---|---|
| category | Category for the work order that can be used by an order management system, such as enterprise or residential.Data type: String |
| shortDescription | Brief summary of the work order. Data type: String |
| startDate | Date and time when the order started. Data type: String |
| requestedCompletionDate | Requested completion date and time. Data type: String |
| href | Relative link to the work order record. Data type: String |
| requestedStartDate | Order fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date. Data type: String |
| priority | Priority ranking for the work order. Possible values:
Data type: String |
| state | State of the work order. Possible values:
Data type: String |
| initiatedFrom | Reference id indicating where the work order was initiated. Data type: String |
| completionDate | Date and time the work order was completed. Data type: String |
| expectedCompletionDate | Expected completion date and time designated by the provider. Data type: String |
| description | Description of the work order. Data type: String |
| workOrderNumber | Unique identifier for the work order, such as WO0008004. Table: Work Order [wm_order] Field: Number Data type: String |
| id | Sys_id of the work order. Table: Work Order [wm_order] Data type: String |
| @type | This value is always WorkOrder.Data type: String |
| place | The geographic location associated with the work order. Data type: Object |
| place.@type | This value is always GeographicSite.Data type: String |
| place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| place.relatedParty | List of support groups for the location. Data type: Array |
| place.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| place.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| place.relatedParty.name | Name of the support group. Data type: String |
| place.relatedParty.role | Role of the support group. Data type: String |
| relatedParty | List of associated contacts for the work order. Data type: Array |
| relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| relatedParty.id | Sys_id of the related party. Table: Account [customer_account], Company [core_company], or User [sys_user] Data type: String |
| relatedParty.name | Name of the related party. Data type: String |
| relatedParty.role | Role of the related party. Possible values:
Data type: String |
| relatedProductOrder | List of product orders for the work order. Data type: Array |
| relatedProductOrder.@type | This value is always ProductOrderRef.Data type: String |
| relatedProductOrder.id | Sys_id of the product order. Table: Product Order [sn_ind_tmt_orm_product_order] Data type: String |
| externalIdentifier | List of external references such as vendor or correlation ID. Data type: Array |
| externalIdentifier.@type | This value is always ExternalIdentifierRef.Data type: String |
| externalIdentifier.id | External reference such as vendor or correlation ID. Data type: String |
| workOrderItem | List of tasks under the work order. Data type: Array |
| workOrderItem.@type | This value is always WorkOrderItem.Data type: String |
| workOrderItem.description | Description of the task. Data type: String |
| workOrderItem.id | Sys_id of the task. Table: Work Order Task [wm_task] Data type: String |
| workOrderItem.shortDescription | Short description of the task. Data type: String |
| workOrderItem.state | State of the task. Data type: String |
| workOrderItem.work | Description of the work required for the task. Data type: Object |
| workOrderItem.work.@type | This value is always WorkRefOrValue.Data type: String |
| workOrderItem.work.expectedCompletionDate | Expected completion date for the task. Data type: String |
| workOrderItem.work.id | Sys_id of the work type for the task. Table: Work Type [wm_work_type] Data type: String |
| workOrderItem.work.place | List of geographic locations associated with the task. |
| workOrderItem.work.place.@type | This value is always RelatedPlaceRefOrValue.Data type: String |
| workOrderItem.work.place.place | Details about the location. Data type: Object |
| workOrderItem.work.place.place.@type | This value is always GeographicSite.Data type: String |
| workOrderItem.work.place.place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| workOrderItem.work.place.role | Role of this location in the context of the task. Data type: String |
| workOrderItem.work.relatedParty | List of support groups for the task. Data type: Array |
| workOrderItem.work.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| workOrderItem.work.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.relatedParty.name | Name of the support group. Data type: String |
| workOrderItem.work.relatedParty.role | Role of the support group. Data type: String |
| workOrderItem.work.relatedWork | List of related work order tasks. Data type: Array |
| workOrderItem.work.relatedWork.@type | This value is always WorkRefOrValue.Data type: String |
| workOrderItem.work.relatedWork.id | Sys_id of the related task. Table: Work Order Task [wm_task] Data type: String |
| workOrderItem.work.scheduledStartDate | Scheduled start date for the task. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment | Assignment details for the task. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.@type | This value is always WorkforceEmployeeAssignment.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.id | Sys_id of the group assigned to the task. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee | Details about the employee assigned to the task. Data type: Object |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type | This value is always Individual.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium | List of the employee's phone numbers. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type | This value is always PhoneContactMedium.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber | Phone number for the employee. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id | Sys_id of the employee. Table: User [sys_user] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name | Name of the employee. Data type: String |
| workOrderItem.work.workPriority | Priority ranking for the task. Possible values:
Data type: String |
| workOrderItem.work.workType | The work type for the task. Table: Work Type [wm_work_type] Field: Name Data type: String |
| workOrderRelationship | List of task relationships to the work order. Data type: Array |
| workOrderRelationship.@type | This value is always OrderRelationship.Data type: String |
| workOrderRelationship.id | Sys_id of the task relationship. Table: Task Relationship [task_rel_task] Data type: String |
| workOrderRelationship.relationshipType | Task relationship type. Data type: String |
| note | List of notes about the order. Data type: Array |
| note.@type | This value is always Note.Data type: String |
| note.author | Author of the note. Data type: String |
| note.date | Date the note was added to the work order. Data type: String |
| note.text | The note text. Data type: String |
cURL request
Retrieves the first page of work orders.
curl "https://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workordermanagement" \
--request GET \
--header "Accept:application/json" \
--user 'username':'password'
Response body.
[{
"@type": "WorkOrder",
"href": "api/sn_tmf_api/workordermanagement/workorder/6d22c6f0ff0de650f8dfffffffffff98",
"workOrderNumber": "WO0008004",
"id": "6d22c6f0ff0de650f8dfffffffffff98",
"category": "test",
"shortDescription": "Test-Test",
"description": "Test",
"startDate": "",
"requestedCompletionDate": "2025-04-19 07:17:04",
"requestedStartDate": "",
"state": "Awaiting Qualification",
"priority": "4 - Low",
"initiatedFrom": "",
"completionDate": "",
"expectedCompletionDate": "",
"place": {
"@type": "GeographicSite",
"id": "920cf6ac73d423002728660c4cf6a799",
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "320ee92637232000158bbfc8bcbe5d40",
"name": "East Qualifiers",
"role": "QualificationGroup"
}
]
},
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "5408091a3b100300e81d47b334efc452",
"name": "Ashley Parker",
"role": "Contact"
},
{
"@type": "RelatedPartyRef",
"id": "",
"name": "",
"role": "Account"
},
{
"@type": "RelatedPartyRef",
"id": "",
"name": "",
"role": "Consumer"
},
{
"@type": "RelatedPartyRef",
"id": "820351a1c0a8018b67c73d51c074097c",
"name": "Acer",
"role": "Company"
}
],
"appointment": {},
"relatedProductOrder": [
{
"@type": "ProductOrderRef",
"id": "19f5456dff092a50f8dfffffffffff01"
},
{
"@type": "ProductOrderRef",
"id": "7116456dff092a50f8dfffffffffff6e"
}
],
"externalIdentifier": [
{
"@type": "ExternalIdentifierRef",
"id": "r6879"
}
],
"workOrderItem": [
{
"@type": "WorkOrderItem",
"id": "2fa566fdff456a50f8dfffffffffffc6",
"shortDescription": "abc",
"description": "",
"state": "Draft",
"work": {
"@type": "WorkRefOrValue",
"id": "2fa566fdff456a50f8dfffffffffffc6",
"workType": "",
"scheduledStartDate": "",
"expectedCompletionDate": "",
"workPriority": "4 - Low",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "25ab8dcd0a0a0bb300bd8a8899934d72"
}
}
],
"relatedWork": [
{
"@type": "WorkRefOrValue",
"id": "bb420af0ff0de650f8dfffffffffff4a"
},
{
"@type": "WorkRefOrValue",
"id": "c301e379ff096a50f8dfffffffffff43"
}
],
"relatedParty": [],
"workforceEmployeeAssignment": []
}
},
{
"@type": "WorkOrderItem",
"id": "bb420af0ff0de650f8dfffffffffff4a",
"shortDescription": "Test",
"description": "",
"state": "Draft",
"work": {
"@type": "WorkRefOrValue",
"id": "bb420af0ff0de650f8dfffffffffff4a",
"workType": "38f719ec3b8a10103f09080044efc4cd",
"scheduledStartDate": "",
"expectedCompletionDate": "",
"workPriority": "4 - Low",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "920cf6ac73d423002728660c4cf6a799"
}
}
],
"relatedWork": [
{
"@type": "WorkRefOrValue",
"id": "2fa566fdff456a50f8dfffffffffffc6"
},
{
"@type": "WorkRefOrValue",
"id": "c301e379ff096a50f8dfffffffffff43"
}
],
"relatedParty": [],
"workforceEmployeeAssignment": []
}
},
{
"@type": "WorkOrderItem",
"id": "c301e379ff096a50f8dfffffffffff43",
"shortDescription": "hi",
"description": "",
"state": "Draft",
"work": {
"@type": "WorkRefOrValue",
"id": "c301e379ff096a50f8dfffffffffff43",
"workType": "",
"scheduledStartDate": "",
"expectedCompletionDate": "",
"workPriority": "4 - Low",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "6808184aeb211100420124e05206fe12"
}
}
],
"relatedWork": [
{
"@type": "WorkRefOrValue",
"id": "2fa566fdff456a50f8dfffffffffffc6"
},
{
"@type": "WorkRefOrValue",
"id": "bb420af0ff0de650f8dfffffffffff4a"
}
],
"relatedParty": [],
"workforceEmployeeAssignment": []
}
}
],
"workOrderRelationship": [
{
"@type": "OrderRelationship",
"id": "02016b46ffcd6a50f8dfffffffffff31",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "0e016b46ffcd6a50f8dfffffffffff30",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "66da174eff8d6a50f8dfffffffffffda",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "aada174eff8d6a50f8dfffffffffffd9",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "bd20e706ffcd6a50f8dfffffffffffc6",
"relationshipType": "Contains::Task of"
},
{
"@type": "OrderRelationship",
"id": "c2016b46ffcd6a50f8dfffffffffff31",
"relationshipType": "Contains::Task of"
}
],
"note": [
{
"@type": "Note",
"author": "System Administrator",
"date": "2025-04-23",
"text": "This is a note."
}
]
}]
Work Order Management - PATCH /sn_tmf_api/work_order_management_api/workOrder/{id}
Updates a work order and associated tasks.
The work order record is updated in the Work Order [wm_order] table. Task records are updated in the Work Order Task [wm_task] table.
URL format
Versioned URL: /api/sn_tmf_api/{api_version}/work_order_management_api/workOrder/{id}
Default URL: /api/sn_tmf_api/work_order_management_api/workOrder/{id}
Supported request parameters
| Name | Description |
|---|---|
| api_version | Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the
latest.
Data type: String |
| id | Sys_id of the work order. Table: Work Order [wm_order] Data type: String |
| Name | Description |
|---|---|
| None |
| Name | Description |
|---|---|
| shortDescription | Brief summary of the work order. Data type: String |
| startDate | Date and time when the order started. Data type: String |
| requestedCompletionDate | Requested completion date and time. Data type: String |
| href | Relative link to the work order record. Data type: String |
| requestedStartDate | Order fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date. Data type: String |
| priority | Priority ranking for the work order. Possible values:
Data type: String |
| state | State of the work order. Possible values:
Data type: String |
| initiatedFrom | Reference id indicating where the work order was initiated. Data type: String |
| completionDate | Date and time the work order was completed. Data type: String |
| expectedCompletionDate | Expected completion date and time designated by the provider. Data type: String |
| description | Description of the work order. Data type: String |
| workOrderNumber | Unique identifier for the work order, such as WO0008004. Table: Work Order [wm_order] Field: Number Data type: String |
| id | Sys_id of the work order. Table: Work Order [wm_order] Data type: String |
| @type | This value is always WorkOrder.Data type: String |
| templateId | Sys_id of the template to use for the work order. Table: Product Model [cmdb_model] Data type: String |
| place | The geographic location associated with the work order. Data type: Object |
| place.@type | This value is always GeographicSite.Data type: String |
| place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| place.relatedParty | List of support groups for the location. Data type: Array |
| place.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| place.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| place.relatedParty.name | Name of the support group. Data type: String |
| place.relatedParty.role | Role of the support group. Data type: String |
| relatedParty | List of associated contacts for the work order. Data type: Array |
| relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| relatedParty.id | Sys_id of the related party. Table: Account [customer_account], Company [core_company], or User [sys_user] Data type: String |
| relatedParty.name | Name of the related party. Data type: String |
| relatedParty.role | Role of the related party. Possible values:
Data type: String |
| externalIdentifier | List of external references such as vendor or correlation ID. Data type: Array |
| externalIdentifier.@type | This value is always ExternalIdentifierRef.Data type: String |
| externalIdentifier.id | External reference such as vendor or correlation ID. Data type: String |
| workOrderItem | List of tasks under the work order. Data type: Array |
| workOrderItem.@type | This value is always WorkOrderItem.Data type: String |
| workOrderItem.action | Action to perform on the product for the task. Possible values:
Data type: String |
| workOrderItem.completionDate | Date and time the task was completed. Data type: String |
| workOrderItem.description | Description of the task. Data type: String |
| workOrderItem.id | Sys_id of the task. Table: Work Order Task [wm_task] Data type: String |
| workOrderItem.note | List of notes about the task. Data type: Array |
| workOrderItem.note.@type | This value is always Note.Data type: String |
| workOrderItem.note.text | The note text. Data type: String |
| workOrderItem.shortDescription | Short description of the task. Data type: String |
| workOrderItem.state | State of the task. Data type: String |
| workOrderItem.work | Description of the work required for the task. Data type: Object |
| workOrderItem.work.@type | This value is always WorkRefOrValue.Data type: String |
| workOrderItem.work.expectedCompletionDate | Expected completion date for the task. Data type: String |
| workOrderItem.work.id | Sys_id of the work type for the task. Table: Work Type [wm_work_type] Data type: String |
| workOrderItem.work.place | List of geographic locations associated with the task. |
| workOrderItem.work.place.@type | This value is always RelatedPlaceRefOrValue.Data type: String |
| workOrderItem.work.place.place | Details about the location. Data type: Object |
| workOrderItem.work.place.place.@type | This value is always GeographicSite.Data type: String |
| workOrderItem.work.place.place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| workOrderItem.work.place.role | Role of this location in the context of the task. Data type: String |
| workOrderItem.work.relatedParty | List of support groups for the task. Data type: Array |
| workOrderItem.work.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| workOrderItem.work.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.relatedParty.name | Name of the support group. Data type: String |
| workOrderItem.work.relatedParty.role | Role of the support group. Data type: String |
| workOrderItem.work.scheduledStartDate | Scheduled start date for the task. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment | Assignment details for the task. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.@type | This value is always WorkforceEmployeeAssignment.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.id | Sys_id of the group assigned to the task. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee | Details about the employee assigned to the task. Data type: Object |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type | This value is always Individual.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium | List of the employee's phone numbers. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type | This value is always PhoneContactMedium.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber | Phone number for the employee. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id | Sys_id of the employee. Table: User [sys_user] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name | Name of the employee. Data type: String |
| workOrderItem.work.workPriority | Priority ranking for the task. Possible values:
Data type: String |
| workOrderItem.work.workType | The work type for the task. Table: Work Type [wm_work_type] Field: Name Data type: String |
| note | List of notes about the order. Data type: Array |
| note.@type | This value is always Note.Data type: String |
| note.text | The note text. Data type: String |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response body. Only supports application/json. |
| Content-Type | Data format of the request body. Only supports application/json. |
| Header | Description |
|---|---|
| Content-Type | Data format of the response body. Only supports application/json. |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| Status code | Description |
|---|---|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 404 | Not found. The requested item wasn't found. |
Response body parameters (JSON)
| Name | Description |
|---|---|
| shortDescription | Brief summary of the work order. Data type: String |
| startDate | Date and time when the order started. Data type: String |
| requestedCompletionDate | Requested completion date and time. Data type: String |
| href | Relative link to the work order record. Data type: String |
| requestedStartDate | Order fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date. Data type: String |
| priority | Priority ranking for the work order. Possible values:
Data type: String |
| state | State of the work order. Possible values:
Data type: String |
| initiatedFrom | Reference id indicating where the work order was initiated. Data type: String |
| completionDate | Date and time the work order was completed. Data type: String |
| expectedCompletionDate | Expected completion date and time designated by the provider. Data type: String |
| description | Description of the work order. Data type: String |
| workOrderNumber | Unique identifier for the work order, such as WO0008004. Table: Work Order [wm_order] Field: Number Data type: String |
| id | Sys_id of the work order. Table: Work Order [wm_order] Data type: String |
| @type | This value is always WorkOrder.Data type: String |
| templateId | Sys_id of the template to use for the work order. Table: Product Model [cmdb_model] Data type: String |
| place | The geographic location associated with the work order. Data type: Object |
| place.@type | This value is always GeographicSite.Data type: String |
| place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| place.relatedParty | List of support groups for the location. Data type: Array |
| place.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| place.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| place.relatedParty.name | Name of the support group. Data type: String |
| place.relatedParty.role | Role of the support group. Data type: String |
| relatedParty | List of associated contacts for the work order. Data type: Array |
| relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| relatedParty.id | Sys_id of the related party. Table: Account [customer_account], Company [core_company], or User [sys_user] Data type: String |
| relatedParty.name | Name of the related party. Data type: String |
| relatedParty.role | Role of the related party. Possible values:
Data type: String |
| externalIdentifier | List of external references such as vendor or correlation ID. Data type: Array |
| externalIdentifier.@type | This value is always ExternalIdentifierRef.Data type: String |
| externalIdentifier.id | External reference such as vendor or correlation ID. Data type: String |
| workOrderItem | List of tasks under the work order. Data type: Array |
| workOrderItem.@type | This value is always WorkOrderItem.Data type: String |
| workOrderItem.action | Action to perform on the product for the task. Possible values:
Data type: String |
| workOrderItem.completionDate | Date and time the task was completed. Data type: String |
| workOrderItem.description | Description of the task. Data type: String |
| workOrderItem.id | Sys_id of the task. Table: Work Order Task [wm_task] Data type: String |
| workOrderItem.note | List of notes about the task. Data type: Array |
| workOrderItem.note.@type | This value is always Note.Data type: String |
| workOrderItem.note.text | The note text. Data type: String |
| workOrderItem.shortDescription | Short description of the task. Data type: String |
| workOrderItem.state | State of the task. Data type: String |
| workOrderItem.work | Description of the work required for the task. Data type: Object |
| workOrderItem.work.@type | This value is always WorkRefOrValue.Data type: String |
| workOrderItem.work.expectedCompletionDate | Expected completion date for the task. Data type: String |
| workOrderItem.work.id | Sys_id of the work type for the task. Table: Work Type [wm_work_type] Data type: String |
| workOrderItem.work.place | List of geographic locations associated with the task. |
| workOrderItem.work.place.@type | This value is always RelatedPlaceRefOrValue.Data type: String |
| workOrderItem.work.place.place | Details about the location. Data type: Object |
| workOrderItem.work.place.place.@type | This value is always GeographicSite.Data type: String |
| workOrderItem.work.place.place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| workOrderItem.work.place.role | Role of this location in the context of the task. Data type: String |
| workOrderItem.work.relatedParty | List of support groups for the task. Data type: Array |
| workOrderItem.work.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| workOrderItem.work.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.relatedParty.name | Name of the support group. Data type: String |
| workOrderItem.work.relatedParty.role | Role of the support group. Data type: String |
| workOrderItem.work.scheduledStartDate | Scheduled start date for the task. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment | Assignment details for the task. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.@type | This value is always WorkforceEmployeeAssignment.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.id | Sys_id of the group assigned to the task. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee | Details about the employee assigned to the task. Data type: Object |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type | This value is always Individual.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium | List of the employee's phone numbers. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type | This value is always PhoneContactMedium.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber | Phone number for the employee. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id | Sys_id of the employee. Table: User [sys_user] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name | Name of the employee. Data type: String |
| workOrderItem.work.workPriority | Priority ranking for the task. Possible values:
Data type: String |
| workOrderItem.work.workType | The work type for the task. Table: Work Type [wm_work_type] Field: Name Data type: String |
| note | List of notes about the order. Data type: Array |
| note.@type | This value is always Note.Data type: String |
| note.text | The note text. Data type: String |
cURL request
Updates the specified work order.
curl "http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workOrder/2d3f32f0df113100dca6a5f59bf263a9" \
--request PATCH \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{
"@type": "WorkOrder",
"description": "Fixed Fibre Broadband Installation",
"shortDescription": "Fixed Fibre",
"priority": "1 - Critical",
"place": {
"@type": "GeographicSite",
"id": "f48b22530a0a0ba70001913a1c181eeb",
"relatedParty": [
{
"role": "QualificationGroup",
"id": "781da52637232000158bbfc8bcbe5db8",
"name": "Jane Smith",
"@type": "PartyRef",
"@referredType": "Individual"
}
]
},
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "86a08090ffcd62105e0dffffffffff8b",
"name": "Workforce Engineering Group",
"role": "Consumer"
}
],
"workOrderItem": [
{
"@type": "WorkOrderItem",
"id": "3df59e8cff5d26105e0dffffffffff0e",
"action": "add",
"description": "FTTH Installation",
"shortDescription": "FTTH Installation",
"completionDate": "2024-04-22T14:23:06.528Z",
"state": "Accepted",
"work": {
"@type": "WorkRefOrValue",
"scheduledStartDate": "2024-04-22T14:23:06.528Z",
"workType": "38f719ec3b8a10103f09080044efc4cd",
"description": "Cabinet Configuration",
"name": "FTTH Installation",
"workPriority": "high",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"place": {
"@type": "GeographicSite",
"id": "b04b813bffc126105e0dffffffffff0d"
}
}
],
"note": {
"@type": "Note",
"text": "Demand Point Type: SDU"
}
}
}
],
"note": {
"@type": "Note",
"text": "This is important"
}
}" \
--user 'username':'password'
Response body.
{
"@type": "WorkOrder",
"description": "Fixed Fibre Broadband Installation",
"shortDescription": "Fixed Fibre",
"priority": "1 - Critical",
"place": {
"@type": "GeographicSite",
"id": "f48b22530a0a0ba70001913a1c181eeb",
"relatedParty": [
{
"role": "QualificationGroup",
"id": "781da52637232000158bbfc8bcbe5db8",
"name": "Jane Smith",
"@type": "PartyRef",
"@referredType": "Individual"
}
]
},
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "86a08090ffcd62105e0dffffffffff8b",
"name": "Workforce Engineering Group",
"role": "Consumer"
}
],
"workOrderItem": [
{
"@type": "WorkOrderItem",
"id": "3df59e8cff5d26105e0dffffffffff0e",
"action": "add",
"description": "FTTH Installation",
"shortDescription": "FTTH Installation",
"completionDate": "2024-04-22T14:23:06.528Z",
"state": "Accepted",
"work": {
"@type": "WorkRefOrValue",
"scheduledStartDate": "2024-04-22T14:23:06.528Z",
"workType": "38f719ec3b8a10103f09080044efc4cd",
"description": "Cabinet Configuration",
"name": "FTTH Installation",
"workPriority": "high",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"place": {
"@type": "GeographicSite",
"id": "b04b813bffc126105e0dffffffffff0d"
}
}
],
"note": {
"@type": "Note",
"text": "Demand Point Type: SDU"
}
}
}
],
"note": {
"@type": "Note",
"text": "This is important"
},
"id": "2d3f32f0df113100dca6a5f59bf263a9",
"href": "/api/sn_tmf_api/work_order_management_api/workOrder/2d3f32f0df113100dca6a5f59bf263a9"
}
Work Order Management - POST /sn_tmf_api/work_order_management_api/cancelWorkOrder
Cancels a specified work order and all associated tasks.
URL format
Versioned URL: /api/sn_tmf_api/{api_version}/work_order_management_api/cancelWorkOrder
Default URL: /api/sn_tmf_api/work_order_management_api/cancelWorkOrder
Supported request parameters
| Name | Description |
|---|---|
| api_version | Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the
latest.
Data type: String |
| Name | Description |
|---|---|
| None |
| Name | Description |
|---|---|
| @type | This value is always CancelWorkOrder.Data type: String |
| cancellationReason | Reason for canceling the work order. Data type: String |
| workOrder | Details about the work order. Data type: Object |
| workOrder.@type | This value is always WorkOrderRef.Data type: String |
| workOrder.id | Required. Sys_id of the work order to cancel. Table: Work Order [wm_order] Data type: String |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response body. Only supports application/json. |
| Content-Type | Data format of the request body. Only supports application/json. |
| Header | Description |
|---|---|
| Content-Type | Data format of the response body. Only supports application/json. |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| Status code | Description |
|---|---|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
Response body parameters (JSON)
| Name | Description |
|---|---|
| @type | This value is always CancelWorkOrder.Data type: String |
| cancellationReason | Reason for canceling the work order. Data type: String |
| state | State of the cancellation request. If the work order was successfully canceled, this value is Cancelled.Data type: String |
| workOrder | Details about the work order. Data type: Object |
| workOrder.@type | This value is always WorkOrderRef.Data type: String |
| workOrder.id | Sys_id of the canceled work order. Table: Work Order [wm_order] Data type: String |
cURL request
Cancels the specified work order.
curl "http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/cancelWorkOrder" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{
"@type": "CancelWorkOrder",
"cancellationReason": "Workforce unavailability",
"workOrder": {
"@type": "WorkOrderRef",
"id": "f8ec1c38-4e4d-4378-a693-f95680e51e25"
}
}" \
--user 'username':'password'
Response body.
{
"@type": "CancelWorkOrder",
"cancellationReason": "Workforce unavailability",
"state": "Cancelled",
"workOrder": {
"@type": "WorkOrderRef",
"id": "f8ec1c38-4e4d-4378-a693-f95680e51e25"
}
}
Work Order Management - POST /sn_tmf_api/work_order_management_api/workOrder
Creates a work order and associated tasks.
A record for the work order is created in the Work Order [wm_order] table. A record for each task is created in the Work Order Task [wm_task] table.
URL format
Versioned URL: /api/sn_tmf_api/{api_version}/work_order_management_api/workOrder
Default URL: /api/sn_tmf_api/work_order_management_api/workOrder
Supported request parameters
| Name | Description |
|---|---|
| api_version | Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the
latest.
Data type: String |
| Name | Description |
|---|---|
| None |
| Name | Description |
|---|---|
| category | Category for the work order that can be used by an order management system, such as enterprise or residential.Data type: String |
| shortDescription | Brief summary of the work order. Data type: String |
| startDate | Date and time when the order started. Data type: String |
| requestedCompletionDate | Requested completion date and time. Data type: String |
| href | Relative link to the work order record. Data type: String |
| requestedStartDate | Order fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date. Data type: String |
| priority | Priority ranking for the work order. Possible values:
Data type: String |
| state | State of the work order. Possible values:
Data type: String |
| initiatedFrom | Reference id indicating where the work order was initiated. Data type: String |
| completionDate | Date and time the work order was completed. Data type: String |
| expectedCompletionDate | Expected completion date and time designated by the provider. Data type: String |
| description | Description of the work order. Data type: String |
| workOrderNumber | Unique identifier for the work order, such as WO0008004. Table: Work Order [wm_order] Field: Number Data type: String |
| id | Sys_id of the work order. Table: Work Order [wm_order] Data type: String |
| @type | This value is always WorkOrder.Data type: String |
| templateId | Sys_id of the template to use for the work order. Table: Product Model [cmdb_model] Data type: String |
| place | The geographic location associated with the work order. Data type: Object |
| place.@type | This value is always GeographicSite.Data type: String |
| place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| place.relatedParty | List of support groups for the location. Data type: Array |
| place.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| place.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| place.relatedParty.name | Name of the support group. Data type: String |
| place.relatedParty.role | Role of the support group. Data type: String |
| relatedParty | List of associated contacts for the work order. Data type: Array |
| relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| relatedParty.id | Sys_id of the related party. Table: Account [customer_account], Company [core_company], or User [sys_user] Data type: String |
| relatedParty.name | Name of the related party. Data type: String |
| relatedParty.role | Role of the related party. Possible values:
Data type: String |
| externalIdentifier | List of external references such as vendor or correlation ID. Data type: Array |
| externalIdentifier.@type | This value is always ExternalIdentifierRef.Data type: String |
| externalIdentifier.id | External reference such as vendor or correlation ID. Data type: String |
| workOrderItem | List of tasks under the work order. Data type: Array |
| workOrderItem.@type | This value is always WorkOrderItem.Data type: String |
| workOrderItem.action | Action to perform on the product for the task. Possible values:
Data type: String |
| workOrderItem.completionDate | Date and time the task was completed. Data type: String |
| workOrderItem.description | Description of the task. Data type: String |
| workOrderItem.id | Sys_id of the task. Table: Work Order Task [wm_task] Data type: String |
| workOrderItem.note | List of notes about the task. Data type: Array |
| workOrderItem.note.@type | This value is always Note.Data type: String |
| workOrderItem.note.date | Date the note was added to the task. Data type: String |
| workOrderItem.note.text | The note text. Data type: String |
| workOrderItem.shortDescription | Short description of the task. Data type: String |
| workOrderItem.state | State of the task. Data type: String |
| workOrderItem.work | Description of the work required for the task. Data type: Object |
| workOrderItem.work.@type | This value is always WorkRefOrValue.Data type: String |
| workOrderItem.work.expectedCompletionDate | Expected completion date for the task. Data type: String |
| workOrderItem.work.id | Sys_id of the work type for the task. Table: Work Type [wm_work_type] Data type: String |
| workOrderItem.work.place | List of geographic locations associated with the task. |
| workOrderItem.work.place.@type | This value is always RelatedPlaceRefOrValue.Data type: String |
| workOrderItem.work.place.place | Details about the location. Data type: Object |
| workOrderItem.work.place.place.@type | This value is always GeographicSite.Data type: String |
| workOrderItem.work.place.place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| workOrderItem.work.place.role | Role of this location in the context of the task. Data type: String |
| workOrderItem.work.relatedParty | List of support groups for the task. Data type: Array |
| workOrderItem.work.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| workOrderItem.work.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.relatedParty.name | Name of the support group. Data type: String |
| workOrderItem.work.relatedParty.role | Role of the support group. Data type: String |
| workOrderItem.work.scheduledStartDate | Scheduled start date for the task. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment | Assignment details for the task. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.@type | This value is always WorkforceEmployeeAssignment.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.id | Sys_id of the group assigned to the task. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee | Details about the employee assigned to the task. Data type: Object |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type | This value is always Individual.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium | List of the employee's phone numbers. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type | This value is always PhoneContactMedium.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber | Phone number for the employee. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id | Sys_id of the employee. Table: User [sys_user] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name | Name of the employee. Data type: String |
| workOrderItem.work.workPriority | Priority ranking for the task. Possible values:
Data type: String |
| workOrderItem.work.workType | The work type for the task. Table: Work Type [wm_work_type] Field: Name Data type: String |
| note | List of notes about the order. Data type: Array |
| note.@type | This value is always Note.Data type: String |
| note.date | Date the note was added to the work order. Data type: String |
| note.text | The note text. Data type: String |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response body. Only supports application/json. |
| Content-Type | Data format of the request body. Only supports application/json. |
| Header | Description |
|---|---|
| Content-Type | Data format of the response body. Only supports application/json. |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| Status code | Description |
|---|---|
| 201 | Created. The work order was successfully created. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
Response body parameters (JSON)
| Name | Description |
|---|---|
| category | Category for the work order that can be used by an order management system, such as enterprise or residential.Data type: String |
| shortDescription | Brief summary of the work order. Data type: String |
| startDate | Date and time when the order started. Data type: String |
| requestedCompletionDate | Requested completion date and time. Data type: String |
| href | Relative link to the work order record. Data type: String |
| requestedStartDate | Order fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date. Data type: String |
| priority | Priority ranking for the work order. Possible values:
Data type: String |
| state | State of the work order. Possible values:
Data type: String |
| initiatedFrom | Reference id indicating where the work order was initiated. Data type: String |
| completionDate | Date and time the work order was completed. Data type: String |
| expectedCompletionDate | Expected completion date and time designated by the provider. Data type: String |
| description | Description of the work order. Data type: String |
| workOrderNumber | Unique identifier for the work order, such as WO0008004. Table: Work Order [wm_order] Field: Number Data type: String |
| id | Sys_id of the work order. Table: Work Order [wm_order] Data type: String |
| @type | This value is always WorkOrder.Data type: String |
| templateId | Sys_id of the template to use for the work order. Table: Product Model [cmdb_model] Data type: String |
| place | The geographic location associated with the work order. Data type: Object |
| place.@type | This value is always GeographicSite.Data type: String |
| place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| place.relatedParty | List of support groups for the location. Data type: Array |
| place.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| place.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| place.relatedParty.name | Name of the support group. Data type: String |
| place.relatedParty.role | Role of the support group. Data type: String |
| relatedParty | List of associated contacts for the work order. Data type: Array |
| relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| relatedParty.id | Sys_id of the related party. Table: Account [customer_account], Company [core_company], or User [sys_user] Data type: String |
| relatedParty.name | Name of the related party. Data type: String |
| relatedParty.role | Role of the related party. Possible values:
Data type: String |
| externalIdentifier | List of external references such as vendor or correlation ID. Data type: Array |
| externalIdentifier.@type | This value is always ExternalIdentifierRef.Data type: String |
| externalIdentifier.id | External reference such as vendor or correlation ID. Data type: String |
| workOrderItem | List of tasks under the work order. Data type: Array |
| workOrderItem.@type | This value is always WorkOrderItem.Data type: String |
| workOrderItem.action | Action to perform on the product for the task. Possible values:
Data type: String |
| workOrderItem.completionDate | Date and time the task was completed. Data type: String |
| workOrderItem.description | Description of the task. Data type: String |
| workOrderItem.id | Sys_id of the task. Table: Work Order Task [wm_task] Data type: String |
| workOrderItem.note | List of notes about the task. Data type: Array |
| workOrderItem.note.@type | This value is always Note.Data type: String |
| workOrderItem.note.date | Date the note was added to the task. Data type: String |
| workOrderItem.note.text | The note text. Data type: String |
| workOrderItem.shortDescription | Short description of the task. Data type: String |
| workOrderItem.state | State of the task. Data type: String |
| workOrderItem.work | Description of the work required for the task. Data type: Object |
| workOrderItem.work.@type | This value is always WorkRefOrValue.Data type: String |
| workOrderItem.work.expectedCompletionDate | Expected completion date for the task. Data type: String |
| workOrderItem.work.id | Sys_id of the work type for the task. Table: Work Type [wm_work_type] Data type: String |
| workOrderItem.work.place | List of geographic locations associated with the task. |
| workOrderItem.work.place.@type | This value is always RelatedPlaceRefOrValue.Data type: String |
| workOrderItem.work.place.place | Details about the location. Data type: Object |
| workOrderItem.work.place.place.@type | This value is always GeographicSite.Data type: String |
| workOrderItem.work.place.place.id | Sys_id of the location. Table: Location [cmn_location] Data type: String |
| workOrderItem.work.place.role | Role of this location in the context of the task. Data type: String |
| workOrderItem.work.relatedParty | List of support groups for the task. Data type: Array |
| workOrderItem.work.relatedParty.@type | This value is always RelatedPartyRef.Data type: String |
| workOrderItem.work.relatedParty.id | Sys_id of the support group. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.relatedParty.name | Name of the support group. Data type: String |
| workOrderItem.work.relatedParty.role | Role of the support group. Data type: String |
| workOrderItem.work.scheduledStartDate | Scheduled start date for the task. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment | Assignment details for the task. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.@type | This value is always WorkforceEmployeeAssignment.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.id | Sys_id of the group assigned to the task. Table: Group [sys_user_group] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee | Details about the employee assigned to the task. Data type: Object |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type | This value is always Individual.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium | List of the employee's phone numbers. Data type: Array |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type | This value is always PhoneContactMedium.Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber | Phone number for the employee. Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id | Sys_id of the employee. Table: User [sys_user] Data type: String |
| workOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name | Name of the employee. Data type: String |
| workOrderItem.work.workPriority | Priority ranking for the task. Possible values:
Data type: String |
| workOrderItem.work.workType | The work type for the task. Table: Work Type [wm_work_type] Field: Name Data type: String |
| note | List of notes about the order. Data type: Array |
| note.@type | This value is always Note.Data type: String |
| note.date | Date the note was added to the work order. Data type: String |
| note.text | The note text. Data type: String |
cURL request
Creates a work order and task using a template.
curl "http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workOrder" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{
"id": "323",
"@type": "WorkOrder",
"category": "service",
"shortDescription": "Fixed Fibre Broadband Installation sb",
"description": "Fixed Fibre description",
"startDate": "2025-07-22T14:23:06.528Z",
"requestedCompletionDate": "2024-06-22T14:23:06.528Z",
"requestedStartDate": "2024-06-22T14:23:06.528Z",
"priority": "2 - High",
"expectedCompletionDate": "2025-07-28T14:23:06.528Z",
"initiatedFrom": "d090df34df113100dca6a5f59bf26335",
"templateId": "191ba0e0df113100dca6a5f59bf26336",
"place": {
"@type": "GeographicSite",
"id": "423e85f037d0200044e0bfc8bcbe5d12",
"relatedParty": [
{
"role": "QualificationGroup",
"id": "539546b237232000158bfc8bcbe5d7",
"@type": "PartyRef",
"@referredType": "Individual"
}
]
},
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "d79249762fc1a610b79db3bf42faf3d2",
"name": "Workforce Engineering Group",
"role": "Company"
},
{
"@type": "RelatedPartyRef",
"id": "b88d14843bc02300bfe04d72f3efc4cd",
"name": "Workforce Engineering Group",
"role": "Contact"
}
],
"externalIdentifier": [
{
"@type": "ExternalIdentifier",
"id": "1223412"
}
],
"workOrderItem": [
{
"@type": "WorkOrderItem",
"action": "add",
"id": "12232332",
"description": "FTTH Installation",
"completionDate": "2024-04-22T14:23:06.528Z",
"work": {
"@type": "WorkRefOrValue",
"workType": "999469283bca10103f09080044efc4cf",
"orderDate": "2024-04-22 14:23:06.528",
"scheduledStartDate": "2025-06-25 14:23:06.528",
"expectedCompletionDate": "2025-08-22 14:23:06.528",
"workPriority": "2 - High",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "16ff753837d0200044e0bfc8bcbe5d5f"
}
}
],
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "4c0482b237232000158bbfc8bcbe5d09",
"name": "Louisiana Dispatchers",
"role": "DispatchGroup"
}
],
"workforceEmployeeAssignment": [
{
"@type": "WorkforceEmployeeAssignment",
"id": "7172ea0037332000158bbfc8bcbe5db6",
"workforceEmployee": {
"@type": "Individual",
"name": "Athelstan Amos",
"id": "46c1293aa9fe1981000dc753e75ebeee"
}
}
]
},
"note": {
"@type": "Note",
"id": "afa9-3d90aaa8da0f",
"text": "This is a work order task note."
}
}
],
"note": {
"@type": "Note",
"id": "afa9-3d90aaa8da0f",
"text": "This is a work order note."
}
}" \
--user 'username':'password'
Response body.
{
"id": "ca6d72d1ffa96210b79dffffffffffa1",
"@type": "WorkOrder",
"category": "service",
"shortDescription": "Fixed Fibre Broadband Installation sb",
"description": "Fixed Fibre description",
"startDate": "2025-07-22T14:23:06.528Z",
"requestedCompletionDate": "2024-06-22T14:23:06.528Z",
"requestedStartDate": "2024-06-22T14:23:06.528Z",
"priority": "2 - High",
"expectedCompletionDate": "2025-07-28T14:23:06.528Z",
"initiatedFrom": "d090df34df113100dca6a5f59bf26335",
"templateId": "191ba0e0df113100dca6a5f59bf26336",
"place": {
"@type": "GeographicSite",
"id": "423e85f037d0200044e0bfc8bcbe5d12",
"relatedParty": [
{
"role": "QualificationGroup",
"id": "539546b237232000158bfc8bcbe5d7",
"@type": "PartyRef",
"@referredType": "Individual"
}
]
},
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "d79249762fc1a610b79db3bf42faf3d2",
"name": "Workforce Engineering Group",
"role": "Company"
},
{
"@type": "RelatedPartyRef",
"id": "b88d14843bc02300bfe04d72f3efc4cd",
"name": "Workforce Engineering Group",
"role": "Contact"
}
],
"externalIdentifier": [
{
"@type": "ExternalIdentifier",
"id": "1223412"
}
],
"workOrderItem": [
{
"@type": "WorkOrderItem",
"action": "add",
"id": "12232332",
"description": "FTTH Installation",
"completionDate": "2024-04-22T14:23:06.528Z",
"work": {
"@type": "WorkRefOrValue",
"workType": "999469283bca10103f09080044efc4cf",
"orderDate": "2024-04-22 14:23:06.528",
"scheduledStartDate": "2025-06-25 14:23:06.528",
"expectedCompletionDate": "2025-08-22 14:23:06.528",
"workPriority": "2 - High",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "16ff753837d0200044e0bfc8bcbe5d5f"
}
}
],
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "4c0482b237232000158bbfc8bcbe5d09",
"name": "Louisiana Dispatchers",
"role": "DispatchGroup"
}
],
"workforceEmployeeAssignment": [
{
"@type": "WorkforceEmployeeAssignment",
"id": "7172ea0037332000158bbfc8bcbe5db6",
"workforceEmployee": {
"@type": "Individual",
"name": "Athelstan Amos",
"id": "46c1293aa9fe1981000dc753e75ebeee"
}
}
]
},
"note": {
"@type": "Note",
"id": "afa9-3d90aaa8da0f",
"text": "This is a work order task note."
}
}
],
"note": {
"@type": "Note",
"id": "afa9-3d90aaa8da0f",
"text": "This is a work order note."
},
"href": "api/sn_tmf_api/work_order_management_api/workOrder/ca6d72d1ffa96210b79dffffffffffa1"
}
cURL request
Creates a work order and task without using a template.
curl "http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workOrder" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{
"id": "323",
"@type": "WorkOrder",
"category": "service",
"shortDescription": "Fixed Fibre Broadband Installation sb",
"description": "Fixed Fibre description",
"startDate": "2025-07-22T14:23:06.528Z",
"requestedCompletionDate": "2024-06-22T14:23:06.528Z",
"requestedStartDate": "2024-06-22T14:23:06.528Z",
"priority": "2 - High",
"expectedCompletionDate": "2025-07-28T14:23:06.528Z",
"initiatedFrom": "d090df34df113100dca6a5f59bf26335",
"place": {
"@type": "GeographicSite",
"id": "423e85f037d0200044e0bfc8bcbe5d12",
"relatedParty": [
{
"role": "QualificationGroup",
"id": "539546b237232000158bfc8bcbe5d7",
"@type": "PartyRef",
"@referredType": "Individual"
}
]
},
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "d79249762fc1a610b79db3bf42faf3d2",
"name": "Workforce Engineering Group",
"role": "Company"
},
{
"@type": "RelatedPartyRef",
"id": "b88d14843bc02300bfe04d72f3efc4cd",
"name": "Workforce Engineering Group",
"role": "Contact"
}
],
"externalIdentifier": [
{
"@type": "ExternalIdentifier",
"id": "1223412"
}
],
"workOrderItem": [
{
"@type": "WorkOrderItem",
"action": "add",
"id": "12232332",
"description": "FTTH Installation",
"completionDate": "2024-04-22T14:23:06.528Z",
"work": {
"@type": "WorkRefOrValue",
"workType": "999469283bca10103f09080044efc4cf",
"orderDate": "2024-04-22 14:23:06.528",
"scheduledStartDate": "2025-06-25 14:23:06.528",
"expectedCompletionDate": "2025-08-22 14:23:06.528",
"workPriority": "2 - High",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "16ff753837d0200044e0bfc8bcbe5d5f"
}
}
],
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "4c0482b237232000158bbfc8bcbe5d09",
"name": "Louisiana Dispatchers",
"role": "DispatchGroup"
}
],
"workforceEmployeeAssignment": [
{
"@type": "WorkforceEmployeeAssignment",
"id": "7172ea0037332000158bbfc8bcbe5db6",
"workforceEmployee": {
"@type": "Individual",
"name": "Athelstan Amos",
"id": "46c1293aa9fe1981000dc753e75ebeee"
}
}
]
},
"note": {
"@type": "Note",
"id": "afa9-3d90aaa8da0f",
"text": "This is a work order task note."
}
}
],
"note": {
"@type": "Note",
"id": "afa9-3d90aaa8da0f",
"text": "This is a work order note."
}
}" \
--user 'username':'password'
Response body.
{
"id": "24fc3259ffa96210b79dffffffffff56",
"@type": "WorkOrder",
"category": "service",
"shortDescription": "Fixed Fibre Broadband Installation sb",
"description": "Fixed Fibre description",
"startDate": "2025-07-22T14:23:06.528Z",
"requestedCompletionDate": "2024-06-22T14:23:06.528Z",
"requestedStartDate": "2024-06-22T14:23:06.528Z",
"priority": "2 - High",
"expectedCompletionDate": "2025-07-28T14:23:06.528Z",
"initiatedFrom": "d090df34df113100dca6a5f59bf26335",
"place": {
"@type": "GeographicSite",
"id": "423e85f037d0200044e0bfc8bcbe5d12",
"relatedParty": [
{
"role": "QualificationGroup",
"id": "539546b237232000158bfc8bcbe5d7",
"@type": "PartyRef",
"@referredType": "Individual"
}
]
},
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "d79249762fc1a610b79db3bf42faf3d2",
"name": "Workforce Engineering Group",
"role": "Company"
},
{
"@type": "RelatedPartyRef",
"id": "b88d14843bc02300bfe04d72f3efc4cd",
"name": "Workforce Engineering Group",
"role": "Contact"
}
],
"externalIdentifier": [
{
"@type": "ExternalIdentifier",
"id": "1223412"
}
],
"workOrderItem": [
{
"@type": "WorkOrderItem",
"action": "add",
"id": "12232332",
"description": "FTTH Installation",
"completionDate": "2024-04-22T14:23:06.528Z",
"work": {
"@type": "WorkRefOrValue",
"workType": "999469283bca10103f09080044efc4cf",
"orderDate": "2024-04-22 14:23:06.528",
"scheduledStartDate": "2025-06-25 14:23:06.528",
"expectedCompletionDate": "2025-08-22 14:23:06.528",
"workPriority": "2 - High",
"place": [
{
"@type": "RelatedPlaceRefOrValue",
"role": "string",
"place": {
"@type": "GeographicSite",
"id": "16ff753837d0200044e0bfc8bcbe5d5f"
}
}
],
"relatedParty": [
{
"@type": "RelatedPartyRef",
"id": "4c0482b237232000158bbfc8bcbe5d09",
"name": "Louisiana Dispatchers",
"role": "DispatchGroup"
}
],
"workforceEmployeeAssignment": [
{
"@type": "WorkforceEmployeeAssignment",
"id": "7172ea0037332000158bbfc8bcbe5db6",
"workforceEmployee": {
"@type": "Individual",
"name": "Athelstan Amos",
"id": "46c1293aa9fe1981000dc753e75ebeee"
}
}
]
},
"note": {
"@type": "Note",
"id": "afa9-3d90aaa8da0f",
"text": "This is a work order task note."
}
}
],
"note": {
"@type": "Note",
"id": "afa9-3d90aaa8da0f",
"text": "This is a work order note."
},
"href": "api/sn_tmf_api/work_order_management_api/workOrder/24fc3259ffa96210b79dffffffffff56"
}